﻿* {
  box-sizing: border-box;
  margin: 0;
  padding: 0;
  font-family: system-ui, -apple-system, BlinkMacSystemFont, sans-serif;
}

body {
  height: 100vh;
  background: #ffffff;
  color: #000000;
}

.page {
  position: relative;
  height: 100%;
}

/* Главный текст по центру */
.center-text { 
  position: absolute; 
  top: 35%;
  left: 50%;
  transform: translate(-50%, -50%);
  text-align: justify;
  max-width: 50%;
  max-height: 33vh;
}

.selected-among {
  display: block;
  width: 100%;
  text-align: left;
  font-size: 12px;
  color: #bfc5cf;
  margin-bottom: 24px;
  margin-left: -30px;
 }
 
.center-text h1 {
  font-size: 32px;
  font-weight: 500;
  font-family: "Libre Baskerville", "Lora", serif;
  color: #25262a;
  line-height: 1.5em; 
  opacity: 0;
  transition: opacity 0.3s ease;
}

.center-text h1.visible {
  opacity: 1;
}

.how-it-works {
  font-size: 13px;
  color: #aeb2bd;
  opacity: 1;
  transition: opacity 0.4s ease;
  margin-top: -25px;
}

.how-it-works.hidden {
  opacity: 0;
  pointer-events: none;
}

.status-text {
  display: flex;
  font-size: 12px;
  opacity: 0;
  color: #000;
  transition: opacity 0.3s ease;
  pointer-events: none;
  min-height: 1.2em;
}

.status-text.visible {
  opacity: 0.6;
}

.input-wrapper {
  position: absolute;
  top: 75%;
  left: 50%;
  transform: translateX(-50%);
  width: 600px;
  max-width: 90%;
  display: flex;
  flex-direction: column; /* Элементы встают друг под друга */
  align-items: center;    /* Центрирует содержимое (включая статус) */
  gap: 8px;
}

.input-row {
  display: flex;
  width: 100%; /* Занимает всю ширину input-wrapper */
  gap: 8px;
}

.input-wrapper input:focus {
  outline: none;
}

.input-row input {
  flex: 1;
  padding: 14px 16px;
  border-radius: 12px;
  border: 1px solid #ccc;
  font-size: 16px;
  color: #000;
}

.input-wrapper input::placeholder {
  color: #888;
}

.input-wrapper button {
  padding: 0 18px;
  border-radius: 12px;
  border: 1px solid #ccc;
  background: #f5f5f5;
  font-size: 18px;
  cursor: pointer;
}

.input-wrapper button:hover {
  background: #eaeaea;
}
#footer {
  position: fixed;
  bottom: 10px;
  left: 0;
  width: 100%;
  text-align: center;
  padding: 10px 0;
  font-size: 14px;
  color: #6b7280;
  background: transparent;
  cursor: default;
  overflow: hidden;
  height: auto;
}

#footer span {
  display: block;
  transition: opacity 0.35s;
  position: absolute;
  left: 50%;
  top: 50%;
  transform: translate(-50%, -50%);
  width: max-content;
}

/* начальное состояние */
#footer .original {
  opacity: 1;
}

#footer .hover-text {
  opacity: 0;
}

/* при наведении */
/*
#footer:hover .original {
  opacity: 0;
}

#footer:hover .hover-text {
  opacity: 1;
}
*/